Subject: Re: [PATCH] grep: provide pathspecs/patterns via file or stdin

From: Emily Shaffer <[email-masked]>
Date: Fri, 22 Nov 2019 14:06:48 -0800

On Fri, Nov 22, 2019 at 02:02:41PM -0800, Emily Shaffer wrote:
> On Fri, Nov 22, 2019 at 11:34:17AM +0900, Junio C Hamano wrote:
> > Denton Liu <[email-masked]> writes:
> > 
> > > The reason I ask is because (correct me if I'm wrong) a lot of other git
> > > commands (like add, reset and checkout) don't seem to accept pathspecs
> > > via stdin and could suffer the same problem. xargs seems like a more
> > > general way of solving the problem of long command lines.
> > 
> > You contributors who are potentially throwing your own topics into
> > the cauldron, please be paying a bit more attention to other topics
> > already cooking in the pot.  I think am/pathspec-from-file wants to
> > go in the general direction.
> 
> Thanks for pointing it out. It is certainly easy to miss the big picture
> when you spend your time looking at a bug queue instead of a review
> queue; we who stand in different places see different things more
> clearly. I appreciate the reminder to look around a little more.
> 
> am/pathspec-from-file does solve this issue in the way that we discussed
> internally, so I'm excited to base a solution for this issue on that
> branch instead.

In fact, as I think further, it could be that the solution is "don't
change anything, just use --pathspec-from-file". But I think my next
question will still be useful to learn the response to anyway. :)

> In this situation - where it is not a related fixup for a branch in
> next, but the topic does rely on that branch - should I send a series
> which is based on 'next'? How do I make the dependency clear to you via
> emailed patch?
> 
>  - Emily